package main

import (
	"flag"
	"goRedisDLM/rpcSupport"
	"goRedisDLM/worker"
	"log"

	"github.com/go-redis/redis/v8"
)

var port = flag.String("port", "", "port")
var redisHost = flag.String("redis", "", "redis host")

func main() {
	flag.Parse()
	if *port == "" || *redisHost == "" {
		log.Println("port err")
		flag.Usage()

		return
	}

	redisClient := redis.NewClient(&redis.Options{
		Addr:     *redisHost,
		Password: "redhat",
	})

	log.Fatal(rpcSupport.RpcServer(*port, &worker.Inventory{Client: redisClient}))
}
